Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.io
Class CopyStreamException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.net.io.CopyStreamException

All Implemented Interfaces:
  Serializable

    public class CopyStreamException

extends IOException

The CopyStreamException class is thrown by the org.apache.commons.io.Util copyStream() methods. It stores the number of bytes confirmed to have been transferred before an I/O error as well as the IOException responsible for the failure of a copy operation.

Version:
  $Id: CopyStreamException.java 929649 2010-03-31 18:12:07Z sebb $
Author:
  Daniel F. Savarese
See Also:
  `Util`, Serialized Form

Constructor Summary
`CopyStreamException(String message, long bytesTransferred, IOException exception)` Creates a new CopyStreamException instance.

Method Summary
`IOException` | `getIOException()` Returns the IOException responsible for the failure of a copy operation.
`long` | `getTotalBytesTransferred()` Returns the total number of bytes confirmed to have been transferred by a failed copy operation.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CopyStreamException

    public CopyStreamException(String message,
                               long bytesTransferred,
                               IOException exception)

  Creates a new CopyStreamException instance.

  Parameters:
    `message` - A message describing the error.
    `bytesTransferred` - The total number of bytes transferred before an exception was thrown in a copy operation.
    `exception` - The IOException thrown during a copy operation.

Method Detail

### getTotalBytesTransferred

    public long getTotalBytesTransferred()

  Returns the total number of bytes confirmed to have been transferred by a failed copy operation.

  Returns:
    The total number of bytes confirmed to have been transferred by a failed copy operation.

### getIOException

    public IOException getIOException()

  Returns the IOException responsible for the failure of a copy operation.

  Returns:
    The IOException responsible for the failure of a copy operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.